Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.ipc
Class SeparateStrategy.SeparateAgent

    java.lang.Object
      ix.icore.IXAgent
          ix.util.ipc.SeparateStrategy.SeparateAgent

Enclosing class:
  SeparateStrategy

     class SeparateStrategy.SeparateAgent

extends IXAgent

Field Summary
`(package private) IXAgent` | `baseAgent`

Fields inherited from class ix.icore.IXAgent
`contactManager, displayName, eventLogger, exitHooks, initialDisplayName, ipcName, ipcStrategyName, iSimTimer, mainAgent, nameListeners, startupDate, startupHooks, symbolName, textFrame`

Constructor Summary
`SeparateStrategy.SeparateAgent(IXAgent baseAgent)`

Method Summary
`void` | `addTool(ToolController tc)` Adds a tool, usually by adding an entry to a "Tools" menu in the GUI.
`java.lang.Object` | `ensureTool(java.lang.String toolName)` Returns the tool of the specified name, causing it to be created if it does not already exist.
`void` | `runAsMainAgent(java.lang.Runnable r)`

Methods inherited from class ix.icore.IXAgent
`addAgentNameListener, addExitHook, addStartupHook, adjustLookAndFeel, displayMessage, do_mainStartup, exit, fireSymbolNameChanged, getAgent, getAgentDisplayName, getAgentIPCName, getAgentStartupDate, getAgentSymbolName, getContactManager, getEventLogger, getISimTimer, getKnownAgents, handleInput, handleNewActivity, handleNewChatMessage, handleNewConstraint, handleNewIssue, handleNewReport, handleReceivedReport, installAgentExtensions, installAgentExtensions, isMainAgent, log, mainStartup, notePossibleNewContact, pre_handleInput, preprocessInput, processCommandLineArguments, reportInputException, setAgentSymbolName, setEventLogger, setupISimTimer, startServer, startup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseAgent

    IXAgent baseAgent

Constructor Detail

### SeparateStrategy.SeparateAgent

    SeparateStrategy.SeparateAgent(IXAgent baseAgent)

Method Detail

### addTool

    public void addTool(ToolController tc)

  Description copied from class: `IXAgent`
  Adds a tool, usually by adding an entry to a "Tools" menu in the GUI. This method throws an exception that says tool additions are not supported; it should be overridden in subclasses that do allow tools.

  Overrides:
    `addTool` in class `IXAgent`

### ensureTool

    public java.lang.Object ensureTool(java.lang.String toolName)

  Description copied from class: `IXAgent`
  Returns the tool of the specified name, causing it to be created if it does not already exist. Note that it returns the tool, not its tool-controller, and that it does not change the tool's visibility.

  The method supplied by the IXAgent class throws an exception; it should be overridden in subclasses that do allow tools.

  Overrides:
    `ensureTool` in class `IXAgent`

### runAsMainAgent

    public void runAsMainAgent(java.lang.Runnable r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD